Loading...
Searching...
No Matches
juce::dsp::Panner< SampleType > Class Template Reference

`#include <juce_Panner.h>`

## Public Types

using | Rule = PannerRule

## Public Member Functions

| Panner ()
void | setRule (Rule newRule)
void | setPan (SampleType newPan)
void | prepare (const ProcessSpec &spec)
void | reset ()
template<typename ProcessContext>
void | process (const ProcessContext &context) noexcept

## Detailed Description

template<typename SampleType>
class juce::dsp::Panner< SampleType >

A processor to perform panning operations on stereo buffers.

Definition at line 49 of file juce_Panner.h.

## Member Typedef Documentation

## Rule

template<typename SampleType>

using juce::dsp::Panner< SampleType >::Rule = PannerRule

Definition at line 53 of file juce_Panner.h.

## Constructor & Destructor Documentation

## Panner()

template<typename SampleType>

juce::dsp::Panner< SampleType >::Panner | ( |  | ) |

Constructor.

Definition at line 31 of file juce_Panner.cpp.

## Member Function Documentation

## prepare()

template<typename SampleType>

void juce::dsp::Panner< SampleType >::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the processor.

Definition at line 56 of file juce_Panner.cpp.

## process()

template<typename SampleType>
template<typename ProcessContext>

void juce::dsp::Panner< SampleType >::process | ( | const ProcessContext & | context | ) |

inline noexcept

Processes the input and output samples supplied in the processing context.

Definition at line 76 of file juce_Panner.h.

## reset()

template<typename SampleType>

void juce::dsp::Panner< SampleType >::reset | ( |  | ) |

Resets the internal state variables of the processor.

Definition at line 67 of file juce_Panner.cpp.

Referenced by Panner(), and prepare().

## setPan()

template<typename SampleType>

void juce::dsp::Panner< SampleType >::setPan | ( | SampleType | newPan | ) |

Sets the current panning value, between -1 (full left) and 1 (full right).

Definition at line 46 of file juce_Panner.cpp.

## setRule()

template<typename SampleType>

void juce::dsp::Panner< SampleType >::setRule | ( | Rule | newRule | ) |

Sets the panning rule.

Definition at line 39 of file juce_Panner.cpp.

The documentation for this class was generated from the following files:

- juce_Panner.h
- juce_Panner.cpp